Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSParentElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSParentElement

All Implemented Interfaces:
  AssociationElementParent, XDSElement

public class XDSParentElement
extends ElementImpl
implements AssociationElementParent

A `<parent>` element.

See Also:
  `XDSMoveElement`, `XDSInstanceElement`

Method Summary
`XDSAssociationElement` | `appendAssociationElement(String value)` Appends a child `<association>` element to this element.
`XDSAssociationElement` | `extractAssociationElement()` Returns this element's child `<association>` element.
`String` | `extractAssociationText()` Returns the concatenated child text nodes from this element's child `<association>` element.
`String` | `getQualifiedSrcDN()` Gets the value of this element's `qualified-src-dn` attribute.
`String` | `getSrcDN()` Gets the value of this element's `src-dn` attribute.
`void` | `setSrcDN(String someDN)` Sets this element's `src-dn` attribute to `someDN`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getSrcDN

    public String getSrcDN()

  Gets the value of this element's `src-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### getQualifiedSrcDN

    public String getQualifiedSrcDN()

  Gets the value of this element's `qualified-src-dn` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`
  Since:
    DTD 2.0

### extractAssociationElement

    public XDSAssociationElement extractAssociationElement()

  Description copied from interface: `AssociationElementParent`
  Returns this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationElement` in interface `AssociationElementParent`
  Returns:
    may return `null`

### extractAssociationText

    public String extractAssociationText()

  Description copied from interface: `AssociationElementParent`
  Returns the concatenated child text nodes from this element's child `<association>` element.

  Invocation Context:
    READ

  Specified by:
    `extractAssociationText` in interface `AssociationElementParent`
  Returns:
    may return `null`; will not return `""`

### setSrcDN

    public void setSrcDN(String someDN)

  Sets this element's `src-dn` attribute to `someDN`.

  Invocation Context:
    WRITE

  Parameters:
    `someDN` - if `null` or `""`, no action is taken

### appendAssociationElement

    public XDSAssociationElement appendAssociationElement(String value)

  Description copied from interface: `AssociationElementParent`
  Appends a child `<association>` element to this element. The `<association>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Specified by:
    `appendAssociationElement` in interface `AssociationElementParent`
  Parameters:
    `value` - the association value; if `null` or `""`, an empty, child `<association>` element is appended
  Returns:
    will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD